local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_br_145_privat = {
	br_145_privat_captrain = { type = "boolean", default = true, order = 1,  name = _("BR 145 Captrain"), description = _("br_145_privat_option_captrain_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_captrain.tga" },
	br_145_privat_hgk = { type = "boolean", default = true, order = 2,  name = _("BR 145 HGK"), description = _("br_145_privat_option_hgk_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_hgk.tga" },
	br_145_privat_hgk_neu = { type = "boolean", default = true, order = 3,  name = _("BR 145 HGK Neu"), description = _("br_145_privat_option_hgk_neu_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_hgk_neu.tga" },
	br_145_privat_mrce = { type = "boolean", default = true, order = 4,  name = _("BR 145 MRCE"), description = _("br_145_privat_option_mrce_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_mrce.tga" },
	br_145_privat_niag = { type = "boolean", default = true, order = 5,  name = _("BR 145 NIAG"), description = _("br_145_privat_option_niag_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_niag.tga" },
	br_145_privat_rail4chem = { type = "boolean", default = true, order = 6,  name = _("BR 145 Rail4Chem"), description = _("br_145_privat_option_rail4chem_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_rail4chem.tga" },
	br_145_privat_rheincargo = { type = "boolean", default = true, order = 7,  name = _("BR 145 RheinCargo"), description = _("br_145_privat_option_rheincargo_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_rheincargo.tga" },
	br_145_privat_sbb = { type = "boolean", default = true, order = 8,  name = _("Re 481 SBB"), description = _("br_145_privat_option_sbb_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_sbb.tga" },
	br_145_privat_sri = { type = "boolean", default = true, order = 9,  name = _("BR 145 SRI"), description = _("br_145_privat_option_sri_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_sri.tga" },
	br_145_privat_tx = { type = "boolean", default = true, order = 10,  name = _("BR 145 TX Logistik"), description = _("br_145_privat_option_tx_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_tx.tga" },
	br_145_privat_zementaxi = { type = "boolean", default = true, order = 11,  name = _("BR 145 Zementaxi"), description = _("br_145_privat_option_zementaxi_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_zementaxi.tga" },
	br_145_privat_press = { type = "boolean", default = true, order = 12,  name = _("BR 145 Pressnitztalbahn"), description = _("br_145_privat_option_press_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_press.tga" },
	br_145_privat_press_2 = { type = "boolean", default = true, order = 13,  name = _("BR 145 Pressnitztalbahn 2"), description = _("br_145_privat_option_press_2_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_press_2.tga" },
	br_145_privat_rbh = { type = "boolean", default = true, order = 14,  name = _("BR 145 RBH"), description = _("br_145_privat_option_rbh_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_rbh.tga" },
	br_145_privat_vp = { type = "boolean", default = false, order = 15,  name = _("br_145_privat_option_vp_name"), description = _("br_145_privat_option_vp_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_captrain_vp.tga" },
	br_145_privat_fake = { type = "boolean", default = false, order = 16,  name = _("br_145_privat_option_fake_name"), description = _("br_145_privat_option_fake_desc"), image = "res/textures/ui/models_small/vehicle/train/br_145_captrain_fake.tga" },	
}

function data()
return {
	info = {
		minorVersion = 4,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("info_br_145_privat_name"),
		description = _("info_br_145_privat_desc"),
		tags = { "Europe", "Locomotive", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},			
		},
		tfnetId = 2800,                 							-- optional, transportfever.net id
		steamId = 878214853,             								-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/2800-BR-145-Privatbahnen/", 												-- optional, URL zur Webseite des Mods
		visible = true,
	},
	settings = options_br_145_privat,
		
	runFn = function(settings)
		modUtil.initialize("kaleut_br_145_privat", options_br_145_privat, files)
		local settings = modUtil.userSettings.get("kaleut_br_145_privat")
		if not settings.br_145_privat_captrain then
			-- captrain ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_hgk then
			-- KGK ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_hgkneu then
			-- HGK Neu ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_mrce then
			-- MRCE ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_niag then
			-- Niag ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_rail4chem then
			-- Rail4chem ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_rheincargo then
			-- Rheincargo ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_sbb then
			-- SBB ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_sri then
			-- SRI ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_tx then
			-- TX Logistik ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_zementaxi then
			-- Zementaxi ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_press then
			-- Press Version 1 Logistik ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_press.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_press_2 then
			-- Press Version 2 ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_rbh then
			-- RBH ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh_vp_fake.mdl")			
		end	
		if not settings.br_145_privat_vp then
			-- modelle mit vorderem gehobenen pantographen ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb_vp_fake.mdl")		
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri_vp_fake.mdl")		
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh_vp.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh_vp_fake.mdl")	
		end	
		if not settings.br_145_privat_fake then
			-- Fake modelle ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_captrain_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_hgk_neu_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_mrce_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_niag_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rail4chem_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rheincargo_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sbb_vp_fake.mdl")		
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_sri_vp_fake.mdl")		
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_tx_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_zementaxi_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_vp_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_press_2_vp_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_145_rbh_vp_fake.mdl")	
		end	
		
		
	end
}
end
