local bb101util = require "bb101util"

function data()

-- Erweiterungsfunktion zur Ansteuerung dank Hilfe von EAT1963

	-- fahrt 1
local function br146_fahrt1 (input)
	if input.speed01 < 0.15  then
		return { 
					gain = bb101util.sampleCurve({ 
									{ .0, .0 },
									{ .01, .65 },
									{ .115, 1.05 },
									{ .125, 1.0 },
									{ .145, 0.0 },
									{ 1.0, 0.0 } }, input.speed01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 0.95 },
									{ .075, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				}
	else if input.speed01 > 0.37  then
		return
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, .0 },
									{ .1, .0 },
									{ .2, .2 },
									{ 1.0, 0.3 } }, input.power01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ .515, 1.3 },
									{ 1.0, 1.5 } }, input.speed01)
				}			
	else
		return 
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .315, 0.0 },
									{ .385, 0.2 },
									{ .386, 0.0 },
									{ 1.0, 0.0 } }, input.speed01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .2, 0.0 },
									{ .21, 1.15 },
									{ 1.0, 1.15 } }, input.power01)
				}
		end			
	end
end
 


return {
	tracks = {
		{ name = "vehicle/br146_0/gw_roll_n.wav", refDist = 20.0 },	
		{ name = "vehicle/br146_0/146_stand.wav", refDist = 20.0 },
		{ name = "vehicle/br146_0/146_luft.wav", refDist = 20.0 },
		{ name = "vehicle/br146_0/146_fahrt2.wav", refDist = 20.0 },				
		{ name = "vehicle/br146_0/146_besch.wav", refDist = 20.0 },
		
		{ name = "vehicle/br146_0/146_fahrt1.wav", refDist = 20.0 },			
		
		{ name = "vehicle/br146_0/kurve.wav", refDist = 15.0 },
		{ name = "vehicle/br146_0/bremse_neu.wav", refDist = 20.0 },
		{ name = "vehicle/br146_0/146_fahrt1.wav", refDist = 20.0 },					
	},
	events =  {
		horn = { names = { "vehicle/br146_0/146_makro.wav" }, refDist = 20.0 }
	},

	updateFn = function (input)
		local speed01 = input.speed / input.topSpeed
		local refWeight = 20.0	
		local axleRefWeight = 10.0
		
		return {
			tracks = {
				--Roll
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, .0 },
									{ .2, .5 },
									{ 1.0, 1.3 } }, input.speed01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 0.4 }, 
									{ 1.0, 1.3 } }, input.speed01)
				},
			--stand
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, 0.3 },
									{ .3, .0 },
									{ 1.0, .0 } }, input.power01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},
				--luefter
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, .0 },
									{ .215, .0 },
									{ .245, .9 },
									{ 1.0, 0.9 } }, input.speed01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.power01)
				},
			-- fahrt 2
				{
					gain = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .115, 0.0 },
									{ .135, 1.0 },
									{ .515, .6 },
									{ 1.0, 0.3 } }, input.speed01)*									
							bb101util.sampleCurve({ 				
									{ .0, 0.2 },
									{ .1, .6 },
									{ 1.0, 1.0 }}, input.power01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .124, 0.0 },
									{ .125, 0.8 },
									{ .215, 1.0 },
									{ .415, 1.3 },
									{ 1.0, 1.7 } }, input.speed01)		
				},
			--Beschleunigung					
				{
					gain = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .14, 0.0 },
									{ .195, 0.4 },
									{ .265, 0.7 },
									{ .365, 0.7 },
									{ .415, 0.4 },
									{ .515, 0.4 },
									{ .615, 0.8 },
									{ .715, 0.8 },
									{ .765, 0.5 },
									{ .865, 0.4 },
									{ 1.0,0.2 } }, input.speed01)*
							bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .1, 0.0 },
									{ .3, 0.5 },									
									{ 1.0,1.0 } }, input.power01),							
					pitch = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .115, 0.4 },
									{ 1.0, 1.0 } }, input.speed01)		
			},
			
				br146_fahrt1 (input),
				bb101util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bb101util.brake(input.speed, input.brakeDecel, 1.25),
				bb101util.ebremse(input.speed, input.brakeDecel, 0.7),				
		},
			events = {
						horn = { gain = 0.9, pitch = 1.0 }			
			}
		}
	end
}
end
